# Uses of Interface
org.apache.lucene.search.RefreshCommitSupplier

Packages that use RefreshCommitSupplier
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of RefreshCommitSupplier in org.apache.lucene.search

  Constructors in org.apache.lucene.search with parameters of type RefreshCommitSupplier
  Modifier
  Constructor
  Description
  ``
  `SearcherManager(DirectoryReader reader, SearcherFactory searcherFactory, RefreshCommitSupplier refreshCommitSupplier)`
  Creates and returns a new SearcherManager from an existing `DirectoryReader`.
  ``
  `SearcherManager(IndexWriter writer, boolean applyAllDeletes, boolean writeAllDeletes, SearcherFactory searcherFactory, RefreshCommitSupplier refreshCommitSupplier)`
  Expert: creates and returns a new SearcherManager from the given `IndexWriter`, controlling whether past deletions should be applied.